# Class: mylogrotate
# ===========================
#
# Full description of class mylogrotate here.
#
# Parameters
# ----------
#
# Document parameters here.
#
# * `sample parameter`
# Explanation of what this parameter affects and what it defaults to.
# e.g. "Specify one or more upstream ntp servers as an array."
#
# Variables
# ----------
#
# Here you should define a list of variables that this module would require.
#
# * `sample variable`
#  Explanation of how this variable affects the function of this class and if
#  it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#  External Node Classifier as a comma separated list of hostnames." (Note,
#  global variables should be avoided in favor of class parameters as
#  of Puppet 2.6.)
#
# Examples
# --------
#
# @example
#    class { 'mylogrotate':
#      servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#    }
#
# Authors
# -------
#
# Author Name <author@domain.com>
#
# Copyright
# ---------
#
# Copyright 2017 Your name here, unless otherwise noted.
#
class mylogrotate ($lgr= hiera('mylogrotate::lgr')){
 $lgr.each |String $lgr| {
   $ar1=split($lgr, ':')

   $na = $ar1[0]
   $ens = $ar1[1]
   $mo = $ar1[2]
   $ie = $ar1[3]
   $size = $ar1[4]
   $rot = $ar1[5]
   $rot_e = $ar1[6]
   $cre = $ar1[7]
   $cm = $ar1[8]
   $co = $ar1[9]
   $cg = $ar1[10]
 
   logrotate::rule {"$na":
        ensure => "$ens",
        path =>"/var/log/$na.log",
        missingok => true,
        ifempty => false,
        size => $size,
        rotate => $rot,
        rotate_every => $rot_e,
        create => true,
        create_mode => $cm,
        create_owner => $co,
        create_group => $cg,
   }
   cron { "cron entry to update file $na ":
       command => "echo \"rotate my log file using puppet\" >> /var/log/$na.log ",
       user    => "root",
       minute  => "*/1",
       ensure => "present",
   }
 }
 cron {"logrotate":
	command => "/usr/sbin/logrotate /etc/logrotate.conf",
  	minute=> 0,
 }
}
